import { world, system } from "@minecraft/server"

const {
  dataDrivenEntityTriggerEvent
} = world.afterEvents

const eventId = "scp173:to_stop"

system.runInterval(() => {
  const options = { maxDistance: 200, typeId: 'sra:scp_173', minDistance: 200 }
  for (let player of world.getAllPlayers()) {
    let entity = player.getEntitiesFromViewDirection(options)[0]?.entity
    if (["sra:scp_173_variant_1", "sra:scp_173_variant_2", "sra:scp_173_variant_3", "sra:scp_173_variant_4"].includes(entity?.typeId) && !entity.moveTag) {
      entity.moveTag = true
      listenTo(entity)
      entity.triggerEvent(eventId)
    }
  }
});

function listenTo(entity) {
  const evId = dataDrivenEntityTriggerEvent.subscribe(data => {
    dataDrivenEntityTriggerEvent.unsubscribe(evId)
    system.runTimeout(() => {
      delete entity.moveTag
      entity.triggerEvent("scp173:to_move")
    }, 1)
  }, { entities: [entity], eventTypes: [eventId] })
};