import { EntityDamageCause, world } from "@minecraft/server";
import { isMultiple } from "./utils";
const overworld = world.getDimension("overworld");
const infectedPlayersEqo = {
    tags: ["dtr_scp008_infected"],
};
const infectedDeathPlayersEqo = {
    tags: ["dtr_scp008_infected"],
    scoreOptions: [
        {
            minScore: 7100,
            objective: "dtr_scp008_infection_v2"
        }
    ]
};
export function simulateScp008(currentTick) {
    if (!isMultiple(currentTick, 2))
        return;
    const infectedPlayers = overworld.getPlayers(infectedPlayersEqo);
    if (infectedPlayers.length <= 0)
        return;
    overworld.runCommandAsync('function scpdtr_func/system/player_scp008_progress');
    const infectedDeathPlayers = overworld.getPlayers(infectedDeathPlayersEqo);
    infectedDeathPlayers.forEach((player) => {
        player.applyDamage(9999, {
            cause: EntityDamageCause.contact
        });
    });
}

//# sourceMappingURL=../../../../_scpdtr_scriptingDebug/scpdtr/copyPasteEverytime/scp008.js.map
